Bug 174911 - openoffice writer crash on frame edit
openoffice writer crash on frame edit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 17:24 EST by Jesse Barnes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.1-143.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 04:12:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2005-12-03 17:24:36 EST
I have a document with a small text frame overlaid on a jpg image.  When I  
open this document then click on the text frame, Writer crashes every time.  I  
grabbed some info from gdb (still in the process of getting info from the 
debuginfo package): 
  
*** glibc detected *** /usr/lib/openoffice.org2.0/program/soffice.bin: free():  
invalid next size (normal): 0x106ca2b8 ***  
======= Backtrace: =========  
/lib/libc.so.6[0x3008a424]  
/lib/libc.so.6(__libc_free+0xc8)[0x3008ac58]  
/usr/lib/libstdc++.so.6(_ZdlPv+0x2c)[0xfae6aac]  
/usr/lib/libstdc++.so.6(_ZdaPv+0x24)[0xfae6b24]  
/usr/lib/openoffice.org2.0/program/libvcl680lp.so[0xe9c5640]  
/usr/lib/openoffice.org2.0/program/libvcl680lp.so[0xe9c5da0]  
/usr/lib/openoffice.org2.0/program/libvcl680lp.so(_ZNK6Bitmap5WriteER8SvStreamhh+0x114) 
[0xe9c61e4]  
/usr/lib/openoffice.org2.0/program/libvcl680lp.so(_ZlsR8SvStreamRK6Bitmap+0x3c) 
[0xe9c62bc]  
/usr/lib/openoffice.org2.0/program/libsvt680lp.so(_ZN18TransferableHelper9SetBitmapERK6BitmapRKN3com3sun4star12datatransfer10DataFlavorE+0xc4) 
[0xe463e44]  
/usr/lib/openoffice.org2.0/program/libsw680lp.so[0x938459c]  
/usr/lib/openoffice.org2.0/program/libsvt680lp.so(_ZN18TransferableHelper15getTransferDataERKN3com3sun4star12datatransfer10DataFlavorE+0x344) 
[0xe465954]  
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c06edc]  
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c075e4]  
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c087d4]  
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c09640]  
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c097e0]  
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c098ec]  
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3[0xdc9435c]  
/lib/libpthread.so.0[0xfd25950]  
/lib/libc.so.6(__clone+0x84)[0x300f6314]  
======= Memory map: ========  
00100000-00103000 r-xp 00100000 00:00 0  
00770000-00775000 r-xp 00000000 03:04 294962     /lib/libcrypt-2.3.90.so  
00775000-00785000 ---p 00005000 03:04 294962     /lib/libcrypt-2.3.90.so  
00785000-00786000 r--p 00005000 03:04 294962     /lib/libcrypt-2.3.90.so  
00786000-00787000 rw-p 00006000 03:04 294962     /lib/libcrypt-2.3.90.so  
00787000-007ae000 rw-p 00787000 00:00 0  
007b0000-00834000 r-xp 00000000 03:04 900537     /usr/lib/libkrb5.so.3.2  
00834000-00844000 ---p 00084000 03:04 900537     /usr/lib/libkrb5.so.3.2  
00844000-00847000 rw-p 00084000 03:04 900537     /usr/lib/libkrb5.so.3.2  
00850000-00875000 r-xp 00000000 03:04 900536     /usr/lib/libk5crypto.so.3.0  
00875000-00885000 ---p 00025000 03:04 900536     /usr/lib/libk5crypto.so.3.0  
00885000-00886000 rw-p 00025000 03:04 900536     /usr/lib/libk5crypto.so.3.0  
00890000-00894000 r-xp 00000000 03:04  
900545     /usr/lib/libgmodule-2.0.so.0.900.0  
00894000-008a3000 ---p 00004000 03:04  
900545     /usr/lib/libgmodule-2.0.so.0.900.0  
008a3000-008a4000 rw-p 00003000 03:04  
900545     /usr/lib/libgmodule-2.0.so.0.900.0  
008c0000-008e2000 r-xp 00000000 03:04 897742     /usr/lib/libcups.so.2  
008e2000-008f1000 ---p 00022000 03:04 897742     /usr/lib/libcups.so.2  
008f1000-008f3000 rw-p 00021000 03:04 897742     /usr/lib/libcups.so.2  
00930000-009d7000 r-xp 00000000 03:04  
892901     /usr/lib/libglib-2.0.so.0.900.0  
009d7000-009e6000 ---p 000a7000 03:04  
892901     /usr/lib/libglib-2.0.so.0.900.0  
009e6000-009e9000 rw-p 000a6000 03:04  
892901     /usr/lib/libglib-2.0.so.0.900.0  
00ab0000-00afa000 r-xp 00000000 03:04 294966     /lib/libssl.so.0.9.8a  
00afa000-00b09000 ---p 0004a000 03:04 294966     /lib/libssl.so.0.9.8a  
00b09000-00b0d000 rw-p 00049000 03:04 294966     /lib/libssl.so.0.9.8a  
00b10000-00b2a000 r-xp 00000000 03:04  
900538     /usr/lib/libgssapi_krb5.so.2.2  
00b2a000-00b3a000 ---p 0001a000 03:04  
900538     /usr/lib/libgssapi_krb5.so.2.2  
00b3a000-00b3b000 rw-p 0001a000 03:04  
900538     /usr/lib/libgssapi_krb5.so.2.2  
00cd0000-00cd7000 r-xp 00000000 03:04 892917     /usr/lib/libXxf86vm.so.1.0.0  
00cd7000-00ce6000 ---p 00007000 03:04 892917     /usr/lib/libXxf86vm.so.1.0.0  
00ce6000-00ce7000 rw-p 00006000 03:04 892917     /usr/lib/libXxf86vm.so.1.0.0  
00cf0000-00cfa000 r-xp 00000000 03:04 899649     /usr/lib/libdrm.so.1.0.0  
00cfa000-00d09000 ---p 0000a000 03:04 899649     /usr/lib/libdrm.so.1.0.0  
00d09000-00d0a000 rw-p 00009000 03:04 899649     /usr/lib/libdrm.so.1.0.0  
00d10000-00d8e000 r-xp 00000000 03:04 899679     /usr/lib/libGL.so.1.2  
00d8e000-00d9e000 ---p 0007e000 03:04 899679     /usr/lib/libGL.so.1.2  
00d9e000-00da5000 rw-p 0007e000 03:04 899679     /usr/lib/libGL.so.1.2  
00da5000-00da6000 rw-p 00da5000 00:00 0  
00e80000-00fd1000 r-xp 00000000 03:04 892764     /usr/lib/libxml2.so.2.6.22  
00fd1000-00fe1000 ---p 00151000 03:04 892764     /usr/lib/libxml2.so.2.6.22  
00fe1000-00fed000 rw-p 00151000 03:04 892764     /usr/lib/libxml2.so.2.6.22  
00fed000-00fee000 rw-p 00fed000 00:00 0  
08807000-08811000 r-xp 00000000 03:04  
329165     /usr/lib/openoffice.org2.0/program/libmcnttype.so  
08811000-08821000 ---p 0000a000 03:04  
329165     /usr/lib/openoffice.org2.0/program/libmcntty  
Program received signal SIGABRT, Aborted.  
[Switching to Thread 921863408 (LWP 25509)]  
0x30045af4 in raise () from /lib/libc.so.6  
(gdb) bt  
#0  0x30045af4 in raise () from /lib/libc.so.6  
#1  0x30047728 in abort () from /lib/libc.so.6  
#2  0x30047728 in abort () from /lib/libc.so.6  
#3  0x30047728 in abort () from /lib/libc.so.6  
#4  0x30047728 in abort () from /lib/libc.so.6  
#5  0x30047728 in abort () from /lib/libc.so.6  
#6  0x30047728 in abort () from /lib/libc.so.6  
#7  0x30047728 in abort () from /lib/libc.so.6  
#8  0x30047728 in abort () from /lib/libc.so.6  
#9  0x30047728 in abort () from /lib/libc.so.6  
#10 0x30047728 in abort () from /lib/libc.so.6  
#11 0x30047728 in abort () from /lib/libc.so.6  
#12 0x30047728 in abort () from /lib/libc.so.6  
#13 0x30047728 in abort () from /lib/libc.so.6  
#14 0x30047728 in abort () from /lib/libc.so.6  
#15 0x30047728 in abort () from /lib/libc.so.6  
#16 0x30047728 in abort () from /lib/libc.so.6  
#17 0x30047728 in abort () from /lib/libc.so.6  
#18 0x30047728 in abort () from /lib/libc.so.6  
#19 0x30047728 in abort () from /lib/libc.so.6  
#20 0x30047728 in abort () from /lib/libc.so.6  
#21 0x30047728 in abort () from /lib/libc.so.6  
#22 0x30047728 in abort () from /lib/libc.so.6  
Previous frame inner to this frame (corrupt stack?)
Comment 1 Jesse Barnes 2005-12-03 17:26:43 EST
Here's what the crash looks like under gdb with the debuginfo package 
installed: 
 
*** glibc detected *** /usr/lib/openoffice.org2.0/program/soffice.bin: free(): 
invalid next size (normal): 0x1070a610 *** 
======= Backtrace: ========= 
/lib/libc.so.6[0x3008a424] 
/lib/libc.so.6(__libc_free+0xc8)[0x3008ac58] 
/usr/lib/libstdc++.so.6(_ZdlPv+0x2c)[0xfae6aac] 
/usr/lib/libstdc++.so.6(_ZdaPv+0x24)[0xfae6b24] 
/usr/lib/openoffice.org2.0/program/libvcl680lp.so[0xe9c5640] 
/usr/lib/openoffice.org2.0/program/libvcl680lp.so[0xe9c5da0] 
/usr/lib/openoffice.org2.0/program/libvcl680lp.so(_ZNK6Bitmap5WriteER8SvStreamhh+0x114)
[0xe9c61e4] 
/usr/lib/openoffice.org2.0/program/libvcl680lp.so(_ZlsR8SvStreamRK6Bitmap+0x3c)
[0xe9c62bc] 
/usr/lib/openoffice.org2.0/program/libsvt680lp.so(_ZN18TransferableHelper9SetBitmapERK6BitmapRKN3com3sun4star12datatransfer10DataFlavorE+0xc4)
[0xe463e44] 
/usr/lib/openoffice.org2.0/program/libsw680lp.so[0x938459c] 
/usr/lib/openoffice.org2.0/program/libsvt680lp.so(_ZN18TransferableHelper15getTransferDataERKN3com3sun4star12datatransfer10DataFlavorE+0x344)
[0xe465954] 
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c06edc] 
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c075e4] 
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c087d4] 
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c09640] 
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c097e0] 
/usr/lib/openoffice.org2.0/program/libdtransX11680lp.so[0x9c098ec] 
/usr/lib/openoffice.org2.0/program/libuno_sal.so.3[0xdc9435c] 
/lib/libpthread.so.0[0xfd25950] 
/lib/libc.so.6(__clone+0x84)[0x300f6314] 
======= Memory map: ======== 
00100000-00103000 r-xp 00100000 00:00 0 
00770000-00775000 r-xp 00000000 03:04 294962     /lib/libcrypt-2.3.90.so 
00775000-00785000 ---p 00005000 03:04 294962     /lib/libcrypt-2.3.90.so 
00785000-00786000 r--p 00005000 03:04 294962     /lib/libcrypt-2.3.90.so 
00786000-00787000 rw-p 00006000 03:04 294962     /lib/libcrypt-2.3.90.so 
00787000-007ae000 rw-p 00787000 00:00 0 
007b0000-00834000 r-xp 00000000 03:04 900537     /usr/lib/libkrb5.so.3.2 
00834000-00844000 ---p 00084000 03:04 900537     /usr/lib/libkrb5.so.3.2 
00844000-00847000 rw-p 00084000 03:04 900537     /usr/lib/libkrb5.so.3.2 
00850000-00875000 r-xp 00000000 03:04 900536     /usr/lib/libk5crypto.so.3.0 
00875000-00885000 ---p 00025000 03:04 900536     /usr/lib/libk5crypto.so.3.0 
00885000-00886000 rw-p 00025000 03:04 900536     /usr/lib/libk5crypto.so.3.0 
00890000-00894000 r-xp 00000000 03:04 
900545     /usr/lib/libgmodule-2.0.so.0.900.0 
00894000-008a3000 ---p 00004000 03:04 
900545     /usr/lib/libgmodule-2.0.so.0.900.0 
008a3000-008a4000 rw-p 00003000 03:04 
900545     /usr/lib/libgmodule-2.0.so.0.900.0 
008c0000-008e2000 r-xp 00000000 03:04 897742     /usr/lib/libcups.so.2 
008e2000-008f1000 ---p 00022000 03:04 897742     /usr/lib/libcups.so.2 
008f1000-008f3000 rw-p 00021000 03:04 897742     /usr/lib/libcups.so.2 
00930000-009d7000 r-xp 00000000 03:04 
892901     /usr/lib/libglib-2.0.so.0.900.0 
009d7000-009e6000 ---p 000a7000 03:04 
892901     /usr/lib/libglib-2.0.so.0.900.0 
009e6000-009e9000 rw-p 000a6000 03:04 
892901     /usr/lib/libglib-2.0.so.0.900.0 
00ab0000-00afa000 r-xp 00000000 03:04 294966     /lib/libssl.so.0.9.8a 
00afa000-00b09000 ---p 0004a000 03:04 294966     /lib/libssl.so.0.9.8a 
00b09000-00b0d000 rw-p 00049000 03:04 294966     /lib/libssl.so.0.9.8a 
00b10000-00b2a000 r-xp 00000000 03:04 
900538     /usr/lib/libgssapi_krb5.so.2.2 
00b2a000-00b3a000 ---p 0001a000 03:04 
900538     /usr/lib/libgssapi_krb5.so.2.2 
00b3a000-00b3b000 rw-p 0001a000 03:04 
900538     /usr/lib/libgssapi_krb5.so.2.2 
00cd0000-00cd7000 r-xp 00000000 03:04 892917     /usr/lib/libXxf86vm.so.1.0.0 
00cd7000-00ce6000 ---p 00007000 03:04 892917     /usr/lib/libXxf86vm.so.1.0.0 
00ce6000-00ce7000 rw-p 00006000 03:04 892917     /usr/lib/libXxf86vm.so.1.0.0 
00cf0000-00cfa000 r-xp 00000000 03:04 899649     /usr/lib/libdrm.so.1.0.0 
00cfa000-00d09000 ---p 0000a000 03:04 899649     /usr/lib/libdrm.so.1.0.0 
00d09000-00d0a000 rw-p 00009000 03:04 899649     /usr/lib/libdrm.so.1.0.0 
00d10000-00d8e000 r-xp 00000000 03 
Program received signal SIGABRT, Aborted. 
[Switching to Thread 921863408 (LWP 25750)] 
0x30045af4 in raise () from /lib/libc.so.6 
(gdb) bt 
#0  0x30045af4 in raise () from /lib/libc.so.6 
#1  0x30047728 in abort () from /lib/libc.so.6 
#2  0x30047728 in abort () from /lib/libc.so.6 
#3  0x30047728 in abort () from /lib/libc.so.6 
#4  0x30047728 in abort () from /lib/libc.so.6 
#5  0x30047728 in abort () from /lib/libc.so.6 
#6  0x30047728 in abort () from /lib/libc.so.6 
#7  0x30047728 in abort () from /lib/libc.so.6 
#8  0x30047728 in abort () from /lib/libc.so.6 
#9  0x30047728 in abort () from /lib/libc.so.6 
#10 0x30047728 in abort () from /lib/libc.so.6 
#11 0x30047728 in abort () from /lib/libc.so.6 
#12 0x30047728 in abort () from /lib/libc.so.6 
#13 0x30047728 in abort () from /lib/libc.so.6 
#14 0x30047728 in abort () from /lib/libc.so.6 
#15 0x30047728 in abort () from /lib/libc.so.6 
#16 0x30047728 in abort () from /lib/libc.so.6 
#17 0x30047728 in abort () from /lib/libc.so.6 
#18 0x30047728 in abort () from /lib/libc.so.6 
#19 0x30047728 in abort () from /lib/libc.so.6 
#20 0x30047728 in abort () from /lib/libc.so.6 
#21 0x30047728 in abort () from /lib/libc.so.6 
#22 0x30047728 in abort () from /lib/libc.so.6 
Previous frame inner to this frame (corrupt stack?) 
 
Comment 2 Caolan McNamara 2005-12-04 08:41:59 EST
do you run KDE or GNOME ? Might be a KDE klipper triggered cut and paste problem.
Comment 3 Jesse Barnes 2005-12-04 17:33:29 EST
KDE, but this isn't a paste... I'll see if disabling klipper helps. 
Comment 4 Jesse Barnes 2005-12-04 23:38:09 EST
Yep, disabling klipper prevents the crash from happening.  Who's at fault 
here, klipper or openoffice?  And will the bug be fixed? 
 
Thanks, 
Jesse 
Comment 5 Caolan McNamara 2005-12-05 04:12:23 EST
Hopefully it's fixed in 2.0.1-143.2.1, will be available later today. If not
please reopen.

Note You need to log in before you can comment on or make changes to this bug.